*FILE MEMBER=cosmics LIBRARY=SNOMAN LANGUAGE=INC DATE=01:JAN:2002
 
*     SNOMAN:  Address mnemonics for the cosmic ray flux and music code.
*
*     Contact:  J. Formaggio
*
*     Revision History:-
*     ================
 
*     4.02   J. Formaggio    First version.
 
 
      INTEGER NEBINS
      PARAMETER (NEBINS = 50)
 
      INTEGER NCTBINS
      PARAMETER (NCTBINS = 50)
 
      INTEGER RBINS
      PARAMETER (RBINS = 2)
 
      INTEGER TFACTOR
      PARAMETER (TFACTOR = 20)
 
      INTEGER NTHROWS
c      PARAMETER (NTHROWS = TFACTOR*NEBINS*NCTBINS)
 
      DOUBLE PRECISION LEMAX, LEMIN, TLEMIN
      PARAMETER (LEMIN  = -0.97469413)            ! log10 of 0.106 GeV
      PARAMETER (TLEMIN = 2.845098)               ! log 10 of 700 GeV
      PARAMETER (LEMAX  = 6.000000)               ! log 10 of 1000 TeV
 
      DOUBLE PRECISION CTMIN, CTMAX
      PARAMETER (CTMIN = 0.0)
      PARAMETER (CTMAX = 1.0)
 
      INTEGER CS_ROCKTYPE, MODEL
      DOUBLE PRECISION VERTICAL, CS_TOTAL(RBINS)
      DOUBLE PRECISION CS_FLUX(NEBINS,NCTBINS,RBINS)
      DOUBLE PRECISION CS_FLUX_E(NEBINS,RBINS)
      DOUBLE PRECISION CS_FLUX_CT(NCTBINS,RBINS)
      REAL XS_COSMIC_TOTAL, CS_A, CS_GAMMA, CS_RC, SNO_DEPTH

      COMMON /CS_PARAMS/ CS_A, CS_GAMMA, CS_RC, SNO_DEPTH, MODEL

      REAL COSMU_POS(3), COSMU_DIR(3), COSMU_E
      REAL CS_ROCKLOSS_A(4), CS_ROCKLOSS_B(4)
 
      real n_a,n_z,n_rho,n_lambda
 
      integer j0
      real v2(100),cs1(100,71,4),cs2(100,71,4)
      real emulo(81,6),emc(81)
      real ema(61),va(30),anga(50),dang(50,30,61)
 
      integer nt_id
      real nt_emu0, nt_emu, nt_pos(3), nt_dir(3), nt_time, nt_weight
      real nt_nweight, nt_neute
      CHARACTER*80 OUTFILE
      common /outinfo/ outfile

      common /parent/ nt_id, nt_emu0, nt_emu, nt_pos, nt_dir, 
     $	nt_time, nt_weight, nt_nweight, nt_neute

      COMMON/sig/v2,cs1,cs2,j0
      COMMON/coenlo/emulo,emc
      COMMON/ang/ema,va,anga,dang
      COMMON/rock2/n_a,n_z,n_rho,n_lambda
      COMMON/COSMU_INFO/ CS_TOTAL, CS_FLUX,  CS_FLUX_E, CS_FLUX_CT,
     $  COSMU_POS, COSMU_DIR, COSMU_E
      COMMON/COSMU_FLUX/ NTHROWS, VERTICAL, XS_COSMIC_TOTAL, 
     $  CS_ROCKTYPE, CS_ROCKLOSS_A, CS_ROCKLOSS_B
 
*ENDFILE MEMBER = cosmics
