
      SUBROUTINE NTCW(IACTION)

      IMPLICIT NONE

C     Fill a column-wise ntuple
      
      include "cosmics.inc"

      logical ALOK,first,keep_event
      integer i,j,k,l
      integer iaction,istat,icycle
      integer ipartL,nvert,nubuf,ctid
      real ubuf
      data first /.true./
      save first

      parameter (ctid = 1)

      integer pawlen
      real paw
      parameter (pawlen = 1000000)
      common/pawc/paw(pawlen)

C     Initialize

      if ((iaction.eq.0).and.(first)) then

c   Make //PAWC/EVTNT subdirectory in the hbook memory space, where
c   the ntuple's buffer will reside, and set it as a current.

         CALL HLIMIT(PAWLEN)
         PRINT *, 'NTUPLE FILE NAME: ',OUTFILE

         call hmdir('//PAWC/EVTNT','S')

c   Open the disk file in //EVTNT , where the ntuple will reside

         call hropen(99,'EVTNT',OUTFILE,'N',1024,istat)

         if(istat.ne.0) then
           write(*,*)' Could not make event ntuple! '
           ALOK=.false.
           RETURN
         endif

         ALOK=.true.
         first = .false.

c   Book the column-wise event ntuple. Its buffer will reside in memory
c   in //PAWC/EVTNT , because it's the current directory, and
c   its contents will reside on disk, in the file opened as //EVTNT.

         call hbnt(ctid,'Event ntuple','D')

c   You can add other blocks of variables to be stored in the
c   event ntuple, add them like these standard ones. Parameters 
c   for hbname are ntid - ntuple id; 'event' - block's name - all the
c   variables in the block should belong to the same common block;
c   nt_event - first variable in this common block, it works like a
c   pointer to the beginning of the common-block ; string of variable's
c   names (same as 'tags' for a row-wise ntuple, they are not
c   necessarily the same as the variables' names in this routine) with
c   types after the colon, e.g. event:I - integer,evtim:R -
c   real variable.

c   Add block of variables 'parent'
         call hbname(ctid,'parent',nt_id,
     +        'id:I,emu0:R,emu:R,pos(3):R,dir(3):R,time:R,
     +        weight:R,nwt:R,ne:R')
          Return
       Endif

c   Write out ntuple and close the file in the end.
       if(iaction.eq.2) then
         call hcdir('//PAWC/EVTNT',' ')
         call hcdir('//EVTNT',' ')
         call hrout(ctid,icycle,'T')
         call hrend('EVTNT')
         close(99)
         ALOK=.false.
       endif

       if(iaction.ne.1) Return

       call hcdir('//PAWC/EVTNT',' ')

c     Fill the column-wise ntuple.

       call hfnt(CTID)

       Return
       End

